BSCAN(8)

NAME
 bscan - Bacula's 'Scan tape'

SYNOPSIS
bscan [options] bacula-archive

DESCRIPTION

The purpose of bscan is to read (scan) a Bacula Volume and to recreate or update the database contents with the information found on the Volume. This is done in a non-destructive way. This permits restoring database entries that have been lost by pruning, purging, deleting, or a database corruption problem.

Normally, it should not be necessary to run the bscan command because the database is self maintaining, and most corrupted databases can be repaired by the tools provided by the database vendors. In addition, if you have maintained bootstrap files during backups, you should be able to recover all your data from the bootstrap file without needed an up to date catalog.

bscan command.

OPTIONS
A summary of options is included below.

-?  Show version and usage of program.

-b bootstrap
    Specify a bootstrap file.

-c config
    Specify configuration file.

-d nn
    Set debug level to nn.

-dt Print timestamp in debug output.

-m  Update media info in database.

-D  Specify the driver database name (default: NULL)

-n name
    Specify the database name (default: bacula)

-u username
    Specify database username (default: bacula)

-P password
    Specify database password (default: none)

-h host
    Specify database host (default: NULL)

-t port
    Specify database port (default: 0)

-p  Proceed in spite of I/O errors.

-r  List records.

-s  Synchronize or store in Database.

-S  Show scan progress periodically.

-v  Verbose output mode.

-V volume
    Specify volume names (separated by '|')

-w dir
    Specify working directory (default from conf file)

SEE ALSO
bls(8), bextract(8).

AUTHOR
This manual page was written by Jose Luis Tallon <jltallon@adv-solutions.net>, for the Debian GNU/Linux system (but may be used by others).

COPYRIGHT
This man page document is released under the BSD 2-Clause license.